package org.w3c.dom.events;

import org.w3c.dom.views.AbstractView;

public interface MouseEvent extends UIEvent
{
    public abstract int getScreenX();
    
    public abstract int getScreenY();
    
    public abstract int getClientX();
    
    public abstract int getClientY();
    
    public abstract boolean getCtrlKey();
    
    public abstract boolean getShiftKey();
    
    public abstract boolean getAltKey();
    
    public abstract boolean getMetaKey();
    
    public abstract short getButton();
    
    public abstract EventTarget getRelatedTarget();
    
    public abstract void initMouseEvent(String p0, boolean p1, boolean p2, AbstractView p3, int p4, int p5, int p6, int p7, int p8, boolean p9, boolean p10, boolean p11, boolean p12, short p13, EventTarget p14);
}
